AnsweredAssumed Answered

Add Note to SketchBlock on bottom left corner

Question asked by Sascha Smolny on Nov 14, 2016
Latest reply on Nov 15, 2016 by Sascha Smolny

Hello,

 

i want add a note (with attribute) to a selected block on a drawing.

The note should be created at the bottom left corner. But how can i find the bottom left corner?

Currently i add the Note this way:

 

        Dim mDoc As sldworks.ModelDoc2 = swApp.ActiveDoc
        Dim Pt As sldworks.MathPoint = SelectedSketchBlockInstances(0).InstancePosition
        mDoc.SketchManager.EditSketchBlock()
        Dim Note As sldworks.Note = mDoc.InsertNote("Demo")
        Note.TagName = "NoteTag"
        Note.SetTextPoint(Pt.ArrayData(0), Pt.ArrayData(1), Pt.ArrayData(2))
        mDoc.SketchManager.EndEditSketchBlock(True)

 

SelectedSketchblockInstances(0) ist the selected Block Instance (see Get selected Blockinstance in Drawing ).

So i can set the thext position at the Instance Poistion. But how can i get the bottom left corner from the BlockInstance?

 

Regards,

Sascha

Outcomes